<div id="main" role="main" class="page-content pt-6 row">
  <div class="col-12 col-sm-3">
    <div class="sidebar">
      <small class="h4 page-title mt-3 mb-2 d-block">&nbsp;</small>
      <hr class="mb-5">
      <a href="#" class="btn btn-sm btn-secondary" id="add-address">{{ 'customer_accounts.addresses.new_address_title' | t }}</a>
      <a class="link small mb-2 d-block mt-3" href="/account">{{ 'customer_accounts.orders.back_link' | t }}</a>
    </div>
  </div>
  <div class="col-12 col-sm-9 d-none" id="CustomerAddAddressForm">
    <section class="content">
      <header class="page-header">
        <h1 class="h2 page-title mt-1 mb-2">
         {{ 'customer_accounts.addresses.new_address_title' | t }}
        </h1>
        <hr class="mb-5">
      </header>
      
      {% form 'customer_address', customer.new_address %}

        <div class="form-wrapper row no-gutters bg-light py-5 rounded">
        
        <p class="h6 required-msg text-uppercase">
          <a id="HideAddressAdder" href="#">Cancelar</a>
        </p>

          <div class="col-12 col-md-10 col-lg-8 px-4">
            <div class="row">
              
              <div class="form-group col-sm-6">
                <label for="AddressFirstNameNew">{{ 'customer_accounts.addresses.first_name' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressFirstNameNew" name="address[first_name]" value="{{ form.first_name }}">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressLastNameNew">{{ 'customer_accounts.addresses.last_name' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressLastNameNew" name="address[last_name]" value="{{ form.last_name }}">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressCompanyNew">{{ 'customer_accounts.addresses.company' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressCompanyNew" name="address[company]" value="{{ form.company }}">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressAddress1New">{{ 'customer_accounts.addresses.address_1' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressAddress1New" name="address[address1]" value="{{ form.address1 }}">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressAddress2New">{{ 'customer_accounts.addresses.address_2' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressAddress2New" name="address[address2]" value="{{ form.address2 }}">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressCityNew">{{ 'customer_accounts.addresses.city' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressCityNew" name="address[city]" value="{{ form.city }}">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressCountryNew">{{ 'customer_accounts.addresses.country' | t }}</label>
                <select class="form-control form-control-lg" id="AddressCountryNew" name="address[country]" data-default="{{ form.country }}">{{ country_option_tags }}</select>
              </div>

              <div class="form-group col-sm-6" id="AddressProvinceContainerNew">
                <label for="AddressProvinceNew">{{ 'customer_accounts.addresses.province' | t }}</label>
                <select class="form-control form-control-lg" id="AddressProvinceNew" name="address[province]" data-default="{{ form.province }}"></select>
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressZipNew">{{ 'customer_accounts.addresses.zip' | t }}</label>
                <input class="form-control form-control-lg" type="text" id="AddressZipNew" name="address[zip]" value="{{ form.zip }}" autocapitalize="characters">
              </div>

              <div class="form-group col-sm-6">
                <label for="AddressPhoneNew">{{ 'customer_accounts.addresses.phone' | t }}</label>
                <input class="form-control form-control-lg" type="tel" id="AddressPhoneNew" name="address[phone]" value="{{ form.phone }}">
              </div>

          <div class="form-group col-sm-6">
            <label for="address_default_address_new" class="custom-control custom-checkbox m-0 p-0 pl-5">
              {{ form.set_as_default_checkbox }}
              <span class="custom-control-label"></span> 
              <span class="custom-control-description d-inline-block">{{ 'customer_accounts.addresses.default_address_note' | t }}</span> 
            </label>

            
            <label ></label>
          </div>

              <div class="form-group col-sm-12">
                <input type="submit" class="btn btn-secondary mr-2" value="{{ 'customer_accounts.addresses.add' | t }}">
              </div>
              
            </div>
          </div>

        </div>  
      {% endform %}
        
    </section>
  </div>
  
  <div class="col-12 col-sm-9 d-none" id="CustomerAddressForm">
    <section class="content">
    
      <header class="page-header">
        <h1 class="h2 page-title mt-1 mb-2">
         {{ 'customer_accounts.addresses.page_title' | t }}
        </h1>
        <hr class="mb-5">
      </header>
      
      <div class="form-wrapper row no-gutters bg-light rounded p-3">
          
        {% for address in customer.addresses %}
        
          <div class="col-12 px-4 py-3 address-item">

            {% if address == customer.default_address %}
              <p><strong>{{ 'customer_accounts.addresses.default_address_note' | t }}</strong></p>
            {% endif %}
            
            {{ address | format_address }}

            <a class="btn btn-sm btn-primary address-edit-toggle" data-toggle="collapse" href="#collapse-{{ address.id }}" role="button" aria-expanded="false" aria-controls="collapse-{{ address.id }}">
              {{ 'customer_accounts.addresses.edit_link' | t }}
            </a>
            <button type="button" class="btn btn-sm btn-link address-delete">
              {{ 'customer_accounts.addresses.delete_link' | t }}
            </button>
            
            <hr>
            
          </div>
        
          <div id="collapse-{{ address.id }}" class="col-12 px-4 collapse">
            {% form 'customer_address', address %}

            <h4 class="mb-2 pt-4 h4">{{ 'customer_accounts.addresses.edit_link' | t }}</h4>

            <div class="row">
            
              <div class="form-group col-md-4">
                <label for="AddressFirstName_{{ form.id }}">
                  {{ 'customer_accounts.addresses.first_name' | t }}
                </label>
                <input class="form-control" type="text" name="address[first_name]" id="AddressFirstName_{{ form.id }}" value="{{ form.first_name }}" autocapitalize="words">
              </div>
    
              <div class="form-group col-md-4">          
                <label for="AddressLastName_{{ form.id }}">
                  {{ 'customer_accounts.addresses.last_name' | t }}
                </label>
                <input class="form-control" type="text" name="address[last_name]" id="AddressLastName_{{ form.id }}" value="{{ form.last_name }}" autocapitalize="words">
              </div>

              <div class="form-group col-md-4">          
                <label for="AddressCompany_{{ form.id }}">
                  {{ 'customer_accounts.addresses.company' | t }}
                </label>
                <input class="form-control" type="text" name="address[company]" id="AddressCompany_{{ form.id }}" value="{{ form.company }}" autocapitalize="words">
              </div>

              <div class="form-group col-md-4">           
                <label for="AddressAddress1_{{ form.id }}">
                  {{ 'customer_accounts.addresses.address_1' | t }}
                </label>
                <input class="form-control" type="text" name="address[address1]" id="AddressAddress1_{{ form.id }}" value="{{ form.address1 }}" autocapitalize="words">
              </div>

              <div class="form-group col-md-4">       
                <label for="AddressAddress2_{{ form.id }}">
                  {{ 'customer_accounts.addresses.address_2' | t }}
                </label>
                <input class="form-control" type="text" name="address[address2]" id="AddressAddress2_{{ form.id }}" value="{{ form.address2 }}" autocapitalize="words">
              </div>
        
              <div class="form-group col-md-4">      
                <label for="AddressCity_{{ form.id }}">
                  {{ 'customer_accounts.addresses.city' | t }}
                </label>
                <input class="form-control" type="text" name="address[city]" id="AddressCity_{{ form.id }}" value="{{ form.city }}" autocapitalize="words">
              </div>

              <div class="form-group col-md-4">            
                <label for="AddressCountry_{{ form.id }}">
                  {{ 'customer_accounts.addresses.country' | t }}
                </label>
                <select class="form-control" name="address[country]" id="AddressCountry_{{ form.id }}" class="address-country-option" data-form-id="{{ form.id }}" data-default="{{ form.country }}"> {{ country_option_tags }} </select>
              </div>
              
              <div class="form-group col-md-4" id="AddressProvinceContainer_{{ form.id }}" style="display: non e">
                <label for="AddressProvince_{{ form.id }}">
                  {{ 'customer_accounts.addresses.province' | t }}
                </label>
                <select class="form-control" name="address[province]" id="AddressProvince_{{ form.id }}" data-default="{{ form.province }}"> </select>
              </div>

              <div class="form-group col-md-4">
                <label for="AddressZip_{{ form.id }}">
                  {{ 'customer_accounts.addresses.zip' | t }}
                </label>
                <input class="form-control" type="text" name="address[zip]" id="AddressZip_{{ form.id }}" value="{{ form.zip }}" autocapitalize="characters">
              </div>

              <div class="form-group col-md-4">          
                <label for="AddressPhone_{{ form.id }}">
                  {{ 'customer_accounts.addresses.phone' | t }}
                </label>
                <input class="form-control" type="tel" name="address[phone]" id="AddressPhone_{{ form.id }}" value="{{ form.phone }}" pattern="[0-9\-]*">
              </div>

              <div class="form-group col-12">      
                <label for="addressds_default_address_{{ form.id }}" class="custom-control custom-checkbox m-0 p-0 pl-5">
                  {{ form.set_as_default_checkbox }}
                  <span class="custom-control-label"></span> 
                  <span class="custom-control-description d-inline-block">{{ 'customer_accounts.addresses.set_as_default' | t }}</span> 
                </label>
              </div>
            
              <div class="form-group col-12">
                <input type="submit" class="btn btn-primary btn-sm mr-1" value="{{ 'customer_accounts.addresses.update' | t }}">
                <a class="btn btn-primary btn-sm" data-toggle="collapse" href="#collapse-{{ address.id }}" role="button" aria-expanded="false" aria-controls="collapse-{{ address.id }}">
                  {{ 'customer_accounts.addresses.cancel_note_link' | t }}
                </a>
              </div>
              
            </div>
            
            <hr>
            
            {% endform %}

          </div>
            
        {% endfor %}
      
      </div>
  
    </section>
  </div>
</div>